
Redmine - Defect #21000

An unbalanced closing pre or code tag results in undefined method `casecmp' for nil:NilClass

2015-10-15 19:19 - Ricardo S

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

After r14484, starting a wiki text with </code> or </pre> results in the error:

An ActionView::Template::Error occurred in wiki#show: undefined method `casecmp' for nil:NilClass

app/helpers/application_helper.rb:612:in `parse_non_pre_blocks'

app/helpers/application_helper.rb:582:in `textilizable'

app/views/wiki/_content.html.erb:2:in `_app_views_wiki__content_html_erb___1050873637_98682770'

app/views/wiki/show.html.erb:44:in `_app_views_wiki_show_html_erb___219731868__628886978'

app/controllers/wiki_controller.rb:97:in `show'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 My redmine environment:

Environment:

  Redmine version                3.1.0.devel

  Ruby version                   2.2.3-p173 (2015-08-18) [i386-linux-gnu]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               SQLServer

Associated revisions

Revision 14676 - 2015-10-15 20:31 - Jean-Philippe Lang

Fixed unsafe call to #casecmp (#20369, #21000).

History

#1 - 2015-10-15 20:32 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14676, thanks for pointing this out.

#2 - 2015-11-12 04:39 - Toshi MARUYAMA

- Affected version deleted (3.1.0)
